## tty-record 0.1.0+git20240821.2a020f5+ds

=== Makefile ===
OUTPUT_NAME:=tty-record
BINDATA_FILES:=$(wildcard templates/*) asciinema-player.min.js  asciinema-player.css
GO_SOURCES:=$(wildcard *.go) bindata.go

all: $(OUTPUT_NAME)
	@echo "All done!"

$(OUTPUT_NAME): $(GO_SOURCES)
	go build -o $@

bindata.go: $(BINDATA_FILES)
	go-bindata -o $@ $^

asciinema-player.min.js:
	curl -L -o  $@ https://github.com/asciinema/asciinema-player/releases/download/v3.6.3/asciinema-player.min.js

asciinema-player.css:
	curl -L -o  $@ https://github.com/asciinema/asciinema-player/releases/download/v3.6.3/asciinema-player.css

clean:
	rm -fr $(OUTPUT_NAME) bindata.go asciinema-*

get-go-bindata:
	go install github.com/go-bindata/go-bindata/...@latest

=== debian/changelog ===
tty-record (0.1.0+git20240821.2a020f5+ds-1) unstable; urgency=medium

  * Upload to unstable.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Mon, 02 Sep 2024 16:23:02 +0000

tty-record (0.1.0+git20240821.2a020f5+ds-1~exp1) experimental; urgency=medium

  * Initial release. (Closes: #1079305)

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Thu, 22 Aug 2024 12:16:01 +0000

=== debian/control ===
Source: tty-record
Section: utils
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               go-bindata,
               golang-any,
               golang-github-creack-pty-dev,
               golang-golang-x-term-dev
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/tty-record
Vcs-Git: https://salsa.debian.org/go-team/packages/tty-record.git
Homepage: https://github.com/elisescu/tty-record
XS-Go-Import-Path: github.com/elisescu/tty-record

Package: tty-record
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: Simple tool to record a terminal session
 tty-record is a tool that records a terminal session (well, any
 command you run it with) and saves the output in a self contained
 html file that can be run in the browser.
 .
 It is based on asciinema-player to playback the recorded session.
 .
 See also tty-share for sharing a terminal session.

=== debian/rules ===
#!/usr/bin/make -f

BINDATA_FILES := $(wildcard templates/*) \
                 asciinema-player.css    \
                 asciinema-player.min.js

%:
	dh $@ --builddirectory=_build --buildsystem=golang

override_dh_auto_install:
	dh_auto_install -- --no-source

override_dh_auto_build:
	go-bindata -o _build/src/github.com/elisescu/tty-record/bindata.go $(BINDATA_FILES)
	dh_auto_build

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/,\
      dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1" \
  https://github.com/elisescu/tty-record/tags .*/v?(\d\S*)\.tar\.gz debian
